﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.43.4/conan-win-32.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.43.4/conan-win-64.exe'
$checksum32  = '6eadcfdb15f0482461af7adaff647b33db47c8d58521ef7066343efc10f1f058'
$checksum64  = '4bda321966d1610edf31bb14620cbc4bf12ce19248e78d0e218abec8b9ca121c'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs

# Add conan to PATH
$conan_path = "C:\Program Files\Conan\conan"
Install-ChocolateyPath -PathToInstall $conan_path -PathType User
